Bug 122627 - Build of editors/openoffice.org-2 fails on amd64
Summary: Build of editors/openoffice.org-2 fails on amd64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-10 15:40 UTC by areilly
Modified: 2008-04-12 09:28 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description areilly 2008-04-10 15:40:03 UTC
	build (i.e., cd /usr/ports/editors/openoffice.org-2; make)
	stops thusly:

Making: ../../../../unxfbsdx/slo/sw_w4watr.obj
c++  -fmessage-length=0 -c -g  -O0   -I.  -I../../../../unxfbsdx/inc/sw_w4w -I../inc -I../../../../inc/pch -I../../../../inc -I../../../../inc/bf_sw -I../../../../unx/inc -I../../../../unxfbsdx/inc -I. -I/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc/stl -I/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc/external -I/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc -I/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solenv/unxfbsdx/inc -I/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solenv/inc -I/usr/ports/editors/openoffice.org-2/work/OOH680_m12/res -I/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc/stl -I/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solenv/inc/Xp31 -I/usr/local/jdk1.5.0/include -I/usr/local/jdk1.5.0/include/freebsd -I/usr/local/jdk1.5.0/include/bsd -I/usr/local/jdk1.5.0/include/linux -I/usr/local/jdk1.5.0/include/native_threads/include -
 I/usr/local/include     -I/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc/offuh -I. -I../../../../res -I. -pipe  -fvisibility-inlines-hidden -g -Wall -Wextra -Wendif-labels -Wshadow -Wno-ctor-dtor-privacy     -Wno-non-virtual-dtor   -fpic -DFREEBSD -DUNX -DVCL -DGCC -DC341 -DX86_64 -D_STLP_DEBUG -DCVER=C341 -DX86_64  -D_PTHREADS -D_REENTRANT -DNEW_SOLAR -D_USE_NAMESPACE=1 -DSTLPORT_VERSION=450 -DHAVE_GCC_VISIBILITY_FEATURE -D__DMAKE -DUNIX -DCPPU_ENV=gcc3 -DGXX_INCLUDE_PATH=/usr/include/c++/4.2 -DSUPD=680 -DDEBUG -DDBG_UTIL -DOSL_DEBUG_LEVEL=2 -DCUI -DSOLAR_JAVA -DOOH680=OOH680   -DNUM_RELSPACE -DVERTICAL_LAYOUT -DACCESSIBLE_LAYOUT -DBIDI -DSHAREDLIB -D_DLL_   -fno-exceptions -DEXCEPTIONS_OFF  -o ../../../../unxfbsdx/slo/sw_w4watr.o /usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx 
In file included from /usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:65:
../../../../inc/bf_svx/spltitem.hxx: In constructor 'binfilter::SvxFmtSplitItem::SvxFmtSplitItem(BOOL, USHORT)':
../../../../inc/bf_svx/spltitem.hxx:78: warning: declaration of 'nWhich' shadows a member of 'this'
In file included from /usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:98:
../../../../inc/bf_svx/brkitem.hxx: In constructor 'binfilter::SvxFmtBreakItem::SvxFmtBreakItem(binfilter::SvxBreak, USHORT)':
../../../../inc/bf_svx/brkitem.hxx:131: warning: declaration of 'nWhich' shadows a member of 'this'
In file included from /usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:154:
../../../../inc/bf_sw/doc.hxx: At global scope:
../../../../inc/bf_sw/doc.hxx:1253: warning: unused parameter 'rSrcFmt'
../../../../inc/bf_sw/doc.hxx:1253: warning: unused parameter 'rDestFmt'
../../../../inc/bf_sw/doc.hxx:1257: warning: unused parameter 'rSrcFmt'
../../../../inc/bf_sw/doc.hxx:1257: warning: unused parameter 'rDestFmt'
../../../../inc/bf_sw/doc.hxx:1405: warning: unused parameter 'rCursor'
../../../../inc/bf_sw/doc.hxx:1405: warning: unused parameter 'nCnt'
../../../../inc/bf_sw/doc.hxx:1405: warning: unused parameter 'bBehind'
../../../../inc/bf_sw/doc.hxx:1407: warning: unused parameter 'rCursor'
../../../../inc/bf_sw/doc.hxx:1407: warning: unused parameter 'nCnt'
../../../../inc/bf_sw/doc.hxx:1407: warning: unused parameter 'bBehind'
../../../../inc/bf_sw/doc.hxx:1409: warning: unused parameter 'rBoxes'
../../../../inc/bf_sw/doc.hxx:1410: warning: unused parameter 'rCursor'
../../../../inc/bf_sw/doc.hxx:1411: warning: unused parameter 'rCursor'
../../../../inc/bf_sw/doc.hxx:1416: warning: unused parameter 'rPam'
../../../../inc/bf_sw/doc.hxx:1423: warning: unused parameter 'rTab'
../../../../inc/bf_sw/doc.hxx:1423: warning: unused parameter 'rNew'
../../../../inc/bf_sw/doc.hxx:1423: warning: unused parameter 'rOld'
../../../../inc/bf_sw/doc.hxx:1423: warning: unused parameter 'pStart'
../../../../inc/bf_sw/doc.hxx:1423: warning: unused parameter 'bCurRowOnly'
../../../../inc/bf_sw/doc.hxx:1425: warning: unused parameter 'rTable'
../../../../inc/bf_sw/doc.hxx:1425: warning: unused parameter 'bSet'
../../../../inc/bf_sw/doc.hxx:1427: warning: unused parameter 'rBoxes'
../../../../inc/bf_sw/doc.hxx:1427: warning: unused parameter 'rNew'
../../../../inc/bf_sw/doc.hxx:1436: warning: unused parameter 'rBox'
../../../../inc/bf_sw/doc.hxx:1436: warning: unused parameter 'rSet'
../../../../inc/bf_sw/doc.hxx:1634: warning: unused parameter 'rCursor'
../../../../inc/bf_sw/doc.hxx:1634: warning: unused parameter 'rSet'
../../../../inc/bf_sw/doc.hxx:1636: warning: unused parameter 'rCursor'
../../../../inc/bf_sw/doc.hxx:1636: warning: unused parameter 'rNew'
../../../../inc/bf_sw/doc.hxx:1637: warning: unused parameter 'rCursor'
../../../../inc/bf_sw/doc.hxx:1637: warning: unused parameter 'rToFill'
In file included from /usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:163:
../../../../inc/bf_sw/fldbas.hxx:307: warning: unused parameter 'rVal'
../../../../inc/bf_sw/fldbas.hxx:307: warning: unused parameter 'nMId'
../../../../inc/bf_sw/fldbas.hxx:308: warning: unused parameter 'rVal'
../../../../inc/bf_sw/fldbas.hxx:308: warning: unused parameter 'nMId'
In file included from ../../../../inc/bf_sw/ndgrf.hxx:46,
                 from /usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:166:
../../../../inc/bf_sw/ndnotxt.hxx:96: warning: unused parameter 'pPoly'
In file included from /usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:166:
../../../../inc/bf_sw/ndgrf.hxx:99: warning: unused parameter 'rStrm'
In file included from /usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:169:
../../../../inc/bf_sw/grfatr.hxx: In constructor 'binfilter::SwChannelGrf::SwChannelGrf(sal_Int16, USHORT)':
../../../../inc/bf_sw/grfatr.hxx:188: warning: declaration of 'nWhich' shadows a member of 'this'
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx: In function 'void binfilter::OutW4W_SwFmtPageDesc1(binfilter::SwW4WWriter&, const binfilter::SwPageDesc*)':
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:295: error: no match for 'operator<<' in '((binfilter::SwW4WWriter*)rW4WWrt)->binfilter::SwW4WWriter::<anonymous>.binfilter::Writer::Strm() << sTmp'
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc/tools/stream.hxx:393: note: candidates are: SvStream& SvStream::operator<<(sal_uInt16)
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc/tools/stream.hxx:394: note:                 SvStream& SvStream::operator<<(sal_uInt32)
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc/tools/stream.hxx:395: note:                 SvStream& SvStream::operator<<(long int)
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc/tools/stream.hxx:396: note:                 SvStream& SvStream::operator<<(short int)
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc/tools/stream.hxx:397: note:                 SvStream& SvStream::operator<<(int)
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc/tools/stream.hxx:398: note:                 SvStream& SvStream::operator<<(signed char)
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc/tools/stream.hxx:399: note:                 SvStream& SvStream::operator<<(char)
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc/tools/stream.hxx:400: note:                 SvStream& SvStream::operator<<(unsigned char)
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc/tools/stream.hxx:401: note:                 SvStream& SvStream::operator<<(float)
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc/tools/stream.hxx:402: note:                 SvStream& SvStream::operator<<(const double&)
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc/tools/stream.hxx:403: note:                 SvStream& SvStream::operator<<(const char*)
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc/tools/stream.hxx:404: note:                 SvStream& SvStream::operator<<(const unsigned char*)
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc/tools/stream.hxx:411: note:                 SvStream& SvStream::operator<<(SvStream&)
../../../../inc/bf_sw/ndhints.hxx:206: note:                 SvStream& binfilter::operator<<(SvStream&, const binfilter::SwpHints&)
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc/tools/stream.hxx:637: note:                 SvStream& operator<<(SvStream&, SvStream& (*)(SvStream&))
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx: In function 'BOOL binfilter::OutW4W_SwFmtHeader1(binfilter::SwW4WWriter&, const binfilter::SwFmtHeader&, const binfilter::SwPageDesc*, BOOL)':
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:401: warning: right-hand operand of comma has no effect
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx: In function 'BOOL binfilter::OutW4W_SwFmtFooter1(binfilter::SwW4WWriter&, const binfilter::SwFmtFooter&, const binfilter::SwPageDesc*, BOOL)':
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:499: warning: right-hand operand of comma has no effect
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx: In constructor 'binfilter::W4WSttEndPos::W4WSttEndPos(const binfilter::SwTxtAttr*, USHORT, USHORT)':
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:731: warning: 'binfilter::W4WSttEndPos::pTxtAttr' will be initialized after
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:730: warning:   'USHORT binfilter::W4WSttEndPos::nFontSize'
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:737: warning:   when initialized here
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx: In copy constructor 'binfilter::W4WSttEndPos::W4WSttEndPos(const binfilter::W4WSttEndPos&)':
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:731: warning: 'binfilter::W4WSttEndPos::pTxtAttr' will be initialized after
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:730: warning:   'USHORT binfilter::W4WSttEndPos::nFontSize'
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:741: warning:   when initialized here
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx: In function 'binfilter::Writer& binfilter::OutW4W_SwLineSpacing(binfilter::Writer&, const SfxPoolItem&)':
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:1490: warning: enumeration value 'SVX_LINE_SPACE_END' not handled in switch
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx: In function 'binfilter::Writer& binfilter::OutW4W_SwAdjust(binfilter::Writer&, const SfxPoolItem&)':
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:1542: warning: enumeration value 'SVX_ADJUST_LEFT' not handled in switch
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w/sw_w4watr.cxx:1542: warning: enumeration value 'SVX_ADJUST_END' not handled in switch
dmake:  Error code 1, while making '../../../../unxfbsdx/slo/sw_w4watr.obj'
---* tg_merge.mk *---

ERROR: Error 65280 occurred while making /usr/ports/editors/openoffice.org-2/work/OOH680_m12/binfilter/bf_sw/source/filter/w4w
dmake:  Error code 1, while making 'build_instsetoo_native'
---*  *---
*** Error code 255

Stop in /usr/ports/editors/openoffice.org-2.

Fix: 

Don't know, sorry.  My plan is to wait a while, re-supp
        ports and try again...
How-To-Repeat: 	cd /usr/ports/editors/openoffice.org-2; sudo make

	no command-line tweakables were set, but /etc/make.conf says:
CFLAGS+=-g
CXXFLAGS+=-g
KERNCONF=DUNCAN

###### sup #####
SUP_UPDATE=
#
SUP=/usr/bin/csup
SUPFLAGS=-g -L 1
SUPHOST=cvsup3.freebsd.org
SUPFILE=/usr/share/examples/cvsup/standard-supfile
PORTSSUPFILE=/usr/share/examples/cvsup/ports-supfile

NO_LPR=YES
NO_SENDMAIL=YES
WITH_GTK2=yes
WITH_CUPS=yes
WITH_DEBUG=yes
#PERL_VERSION=5.8.8
A4=yes
# added by use.perl 2008-01-23 22:02:28
PERL_VER=5.8.8
PERL_VERSION=5.8.8

        I've tried building with various options enabled (like
        using the system freetype) a couple of times since 2.4
        was released, but they stopped too (not necessarily
        quite the same way as this.)
Comment 1 Edwin Groothuis freebsd_committer 2008-04-11 00:22:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Marcin Cieslak 2008-04-11 01:24:06 UTC
I have just fixed this on my side, posted as

http://qa.openoffice.org/issues/show_bug.cgi?id=88156

upstream

Can you try this patch:

--- binfilter/bf_sw/source/filter/w4w/makefile.mk.orig	2008-04-11 
01:44:53.805918532 +0200
+++ binfilter/bf_sw/source/filter/w4w/makefile.mk	2008-04-11 
01:47:02.650068192 +0200
@@ -58,6 +58,10 @@
  CDEFS=$(CDEFS) -Dmydebug
  .ENDIF

+.IF "$(OSL_DEBUG_LEVEL)" > 0
+CDEFS += -DENABLE_BYTESTRING_STREAM_OPERATORS
+.ENDIF
+
  # --- Files --------------------------------------------------------

  CXXFILES = \



-- 
               << Marcin Cieslak // saper@system.pl >>
Comment 3 areilly 2008-04-11 02:35:42 UTC
Hi Marcin,

Thanks for that!  The build seems to be proceeding nicely, now.
Hopefully it will get all the way!

Cheers,

On Fri, Apr 11, 2008 at 02:24:06AM +0200, Marcin Cieslak wrote:
> I have just fixed this on my side, posted as
> 
> http://qa.openoffice.org/issues/show_bug.cgi?id=88156
> 
> upstream
> 
> Can you try this patch:
> 
> --- binfilter/bf_sw/source/filter/w4w/makefile.mk.orig	2008-04-11 
> 01:44:53.805918532 +0200
> +++ binfilter/bf_sw/source/filter/w4w/makefile.mk	2008-04-11 
> 01:47:02.650068192 +0200
> @@ -58,6 +58,10 @@
>  CDEFS=$(CDEFS) -Dmydebug
>  .ENDIF
> 
> +.IF "$(OSL_DEBUG_LEVEL)" > 0
> +CDEFS += -DENABLE_BYTESTRING_STREAM_OPERATORS
> +.ENDIF
> +
>  # --- Files --------------------------------------------------------
> 
>  CXXFILES = \
> 
> 
> 
> -- 
>               << Marcin Cieslak // saper@system.pl >>
> 



-- 
Andrew
Comment 4 areilly 2008-04-11 03:57:10 UTC
No, it didn't finish building.  Broke again here:

Making: ../../../unxfbsdx/slo/dbgoutsw.obj
c++  -fmessage-length=3D0 -c -g  -O0   -fvisibility=3Dhidden -I.  -I../../.=
./unxfbsdx/inc/doc -I../inc -I../../../inc/pch -I../../../inc -I../../../un=
x/inc -I../../../unxfbsdx/inc -I. -I/usr/ports/editors/openoffice.org-2/wor=
k/OOH680_m12/solver/680/unxfbsdx/inc/stl -I/usr/ports/editors/openoffice.or=
g-2/work/OOH680_m12/solver/680/unxfbsdx/inc/external -I/usr/ports/editors/o=
penoffice.org-2/work/OOH680_m12/solver/680/unxfbsdx/inc -I/usr/ports/editor=
s/openoffice.org-2/work/OOH680_m12/solenv/unxfbsdx/inc -I/usr/ports/editors=
/openoffice.org-2/work/OOH680_m12/solenv/inc -I/usr/ports/editors/openoffic=
e.org-2/work/OOH680_m12/res -I/usr/ports/editors/openoffice.org-2/work/OOH6=
80_m12/solver/680/unxfbsdx/inc/stl -I/usr/ports/editors/openoffice.org-2/wo=
rk/OOH680_m12/solenv/inc/Xp31 -I/usr/local/jdk1.5.0/include -I/usr/local/jd=
k1.5.0/include/freebsd -I/usr/local/jdk1.5.0/include/bsd -I/usr/local/jdk1.=
5.0/include/linux -I/usr/local/jdk1.5.0/include/native_threads/include -I/u=
sr/local/include     -I/usr/ports/editors/openoffice.org-2/work/OOH680_m12/=
solver/680/unxfbsdx/inc/offuh -I. -I../../../res -I. -pipe  -fvisibility-in=
lines-hidden -g -Wall -Wextra -Wendif-labels -Wshadow -Wno-ctor-dtor-privac=
y     -Wno-non-virtual-dtor   -fpic -DFREEBSD -DUNX -DVCL -DGCC -DC341 -DX8=
6_64 -D_STLP_DEBUG -DCVER=3DC341 -DX86_64  -D_PTHREADS -D_REENTRANT -DNEW_S=
OLAR -D_USE_NAMESPACE=3D1 -DSTLPORT_VERSION=3D450 -DHAVE_GCC_VISIBILITY_FEA=
TURE -D__DMAKE -DUNIX -DCPPU_ENV=3Dgcc3 -DGXX_INCLUDE_PATH=3D/usr/include/c=
++/4.2 -DSUPD=3D680 -DDEBUG -DDBG_UTIL -DOSL_DEBUG_LEVEL=3D2 -DCUI -DSOLAR_=
JAVA -DOOH680=3DOOH680   -DACCESSIBLE_LAYOUT -DSW_DLLIMPLEMENTATION -DSHARE=
DLIB -D_DLL_   -fno-exceptions -DEXCEPTIONS_OFF  -o ../../../unxfbsdx/slo/d=
bgoutsw.o /usr/ports/editors/openoffice.org-2/work/OOH680_m12/sw/source/cor=
e/doc/dbgoutsw.cxx=20
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/sw/source/core/doc/dbgo=
utsw.cxx: In function 'const String lcl_dbg_out(const SfxItemSet&)':
/usr/ports/editors/openoffice.org-2/work/OOH680_m12/sw/source/core/doc/dbgo=
utsw.cxx:298: error: cast from 'const SfxPoolItem*' to 'sal_uInt32' loses p=
recision
dmake:  Error code 1, while making '../../../unxfbsdx/slo/dbgoutsw.obj'
---* tg_merge.mk *---

ERROR: Error 65280 occurred while making /usr/ports/editors/openoffice.org-=
2/work/OOH680_m12/sw/source/core/doc
dmake:  Error code 1, while making 'build_instsetoo_native'
---*  *---
*** Error code 255

Stop in /usr/ports/editors/openoffice.org-2.



This looks debug-related too.  Maybe I should just build it with
WITH_DEBUG turned off...

Cheers,

--=20
Andrew
Comment 5 dfilter service freebsd_committer 2008-04-12 08:39:21 UTC
maho        2008-04-12 07:39:17 UTC

  FreeBSD ports repository

  Modified files:
    editors/openoffice.org-3-devel/files patch-i85126 
  Added files:
    editors/openoffice.org-3-devel/files patch-i88156 patch-i88160 
  Log:
  Fix build on amd64 [1].
  Fix build with debug option [2].
  
  Submitted by:  Marcin Cieslak <saper@system.pl> (will be SCAed) [1], [2]
                 Andrew Reilly <areilly@bigpond.net.au> [2]
  PR: 122627 [2]
  Issue: http://qa.openoffice.org/issues/show_bug.cgi?id=88156 [2]
         http://qa.openoffice.org/issues/show_bug.cgi?id=88160 [2]
  
  Revision  Changes    Path
  1.2       +31 -12    ports/editors/openoffice.org-3-devel/files/patch-i85126
  1.1       +18 -0     ports/editors/openoffice.org-3-devel/files/patch-i88156 (new)
  1.1       +16 -0     ports/editors/openoffice.org-3-devel/files/patch-i88160 (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Maho Nakata freebsd_committer 2008-04-12 09:27:51 UTC
State Changed
From-To: open->closed

Fixed, thanks!